libkrossui4_4.14.16-0ubuntu3.3_i386.deb


Advertisement

Description

libkrossui4 - Kross UI Library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe i386
Package filename libkrossui4_4.14.16-0ubuntu3.3_i386.deb
Package name libkrossui4
Package version 4.14.16
Package release 0ubuntu3.3
Package architecture i386
Package type deb
Category universe/libs
Homepage http://kross.dipe.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 55.86 KB
Installed size 318.00 KB
Kross is a scripting bridge for the KDE Development Platform used to embed
scripting functionality into an application. Kross provides an abstract API to
provide scripting functionality in a interpreter-independent way. The
application that uses Kross should not need to know anything about the
scripting language being used.
The UI library of Kross provides the Kross KParts plugin and other classes
aimed towards Kross integration with the KDE graphical applications.
This package is part of the KDE Development Platform libraries module.

Alternatives

Package Version Architecture Repository
libkrossui4_4.14.22-0ubuntu2.2~ubuntu16.04~ppa1_i386.deb 4.14.22 i386 Kubuntu Backports
libkrossui4_4.14.22-0ubuntu2.2~ubuntu16.04~ppa1_amd64.deb 4.14.22 amd64 Kubuntu Backports
libkrossui4_4.14.16-0ubuntu3.3_amd64.deb 4.14.16 amd64 Ubuntu Updates Universe
libkrossui4_4.14.16-0ubuntu3_i386.deb 4.14.16 i386 Ubuntu Universe
libkrossui4_4.14.16-0ubuntu3_amd64.deb 4.14.16 amd64 Ubuntu Universe
libkrossui4 - - -

Requires

Name Value
libc6 >= 2.4
libkdecore5 = 4:4.14.16-0ubuntu3.3
libkdeui5 = 4:4.14.16-0ubuntu3.3
libkio5 = 4:4.14.16-0ubuntu3.3
libkparts4 = 4:4.14.16-0ubuntu3.3
libkrosscore4 = 4:4.14.16-0ubuntu3.3
libqt4-xml >= 4:4.8.0
libqtcore4 >= 4:4.8.0
libqtgui4 >= 4:4.8.0
libstdc++6 >= 4.1.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libkrossui4_4.14.16-0ubuntu3.3_i386.deb
Source Package kde4libs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkrossui4 deb package:
    # sudo apt-get install libkrossui4

Files

Path
/usr/lib/libkrossui.so.4
/usr/lib/libkrossui.so.4.14.16
/usr/share/doc/libkrossui4/NEWS.Debian.gz
/usr/share/doc/libkrossui4/changelog.Debian.gz
/usr/share/doc/libkrossui4/copyright

Changelog

2019-08-12 - Paulo Flabiano Smorigo <pfsmorigo@canonical.com>
kde4libs (4:4.14.16-0ubuntu3.3) xenial-security; urgency=medium
* SECURITY UPDATE: Directory traversal vulnerability.
- debian/patches/CVE-2016-6232.patch: extraction location to be in
subfolder.
- CVE-2016-6232
* SECURITY UPDATE: malicious .desktop files (and others) would execute
code (LP: #1839432).
- debian/patches/CVE-2019-14744.patch: remove support for $(...) in
config keys with [$e] marker.
- CVE-2019-14744
2017-05-13 - Rik Mills <rikmills@kubuntu.org>
kde4libs (4:4.14.16-0ubuntu3.2) xenial-security; urgency=medium
* SECURITY UPDATE: Local privilege escalation (LP: #1689759)
- debian/patches/kauth-local-privilege-esc-CVE-2017-8422.patch
- Thanks to Sebastian Krahmer for reporting this issue,
Albert Astals Cid for fixing this issue.
- CVE-2017-8422
2017-03-02 - v.naini <vishnu@vishnunaini.com>
kde4libs (4:4.14.16-0ubuntu3.1) xenial-security; urgency=medium
* SECURITY UPDATE:Information Leak when accessing https when using a
malicious PAC file
- debian/patches/kio-sanitize-url-to-FindProxyForURL.patch
- Thanks to Safebreach Labs researchers Itzik Kotler, Yonatan Fridburg
and Amit Klein for reporting this issue, Albert Astals Cid for fixing
this issue.
- No CVE number.
- fixes (LP: #1668871)
2016-02-19 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.16-0ubuntu3) xenial; urgency=medium
* libkhtml5: Suggest kdelibs5-plugins instead of recommending it.
2016-02-19 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.16-0ubuntu2) xenial; urgency=medium
* libkio5: Suggest kdelibs5-plugins instead of recommending it.
2015-11-21 - Philip Muškovac <yofel@kubuntu.org>
kde4libs (4:4.14.16-0ubuntu1) xenial; urgency=medium
* Fix VCS Url to point to the correct location
* New upstream release 
- refresh disable_bogus_test.diff
* Refresh libkio5.symbols to remove missing internal symbols
* Merge with debian git master 
2015-12-02 - Maximiliano Curia <maxy@debian.org>
kde4libs (4:4.14.14-1) unstable; urgency=medium
* New upstream release (4.14.14).
* Update symbols files from buildds logs (4:4.14.13-1).
* Refresh patches.
2015-10-16 - Maximiliano Curia <maxy@debian.org>
kde4libs (4:4.14.13-1) unstable; urgency=medium
* New upstream release (4.14.13).
* Update install files.
* Update symbols files from buildds logs (4:4.14.12-2).
2015-11-03 - Philip Muškovac <yofel@kubuntu.org>
kde4libs (4:4.14.13-0ubuntu3) xenial; urgency=medium
* Fix autopackagetests by adding allow-stderr to the requirements.
2015-10-23 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.13-0ubuntu2) xenial; urgency=medium
* No-change rebuild for giflib soname change.

See Also

Package Description
libktexteditor4_4.14.16-0ubuntu3.3_i386.deb KTextEditor interfaces for the KDE Platform
libkunitconversion4_4.14.16-0ubuntu3.3_i386.deb Unit Conversion library for the KDE Platform
libkutils4_4.14.16-0ubuntu3.3_i386.deb dummy transitional library
libkworkspace5-5_5.5.5.2-0ubuntu1.1_i386.deb Plasma Workspace for KF5 library
liblldb-3.9-dev_3.9.1-4ubuntu3~16.04.2_i386.deb Next generation, high-performance debugger, header files
liblldb-3.9_3.9.1-4ubuntu3~16.04.2_i386.deb Next generation, high-performance debugger, library
liblldb-5.0-dev_5.0-3~16.04.1_i386.deb Next generation, high-performance debugger, header files
liblldb-5.0_5.0-3~16.04.1_i386.deb Next generation, high-performance debugger, library
liblldb-6.0-dev_6.0-1ubuntu2~16.04.1_i386.deb Next generation, high-performance debugger, header files
liblldb-6.0_6.0-1ubuntu2~16.04.1_i386.deb Next generation, high-performance debugger, library
libllvm-3.8-ocaml-dev_3.8-2ubuntu4_i386.deb Modular compiler and toolchain technologies, OCaml bindings
libllvm-3.9-ocaml-dev_3.9.1-4ubuntu3~16.04.2_i386.deb Modular compiler and toolchain technologies, OCaml bindings
libllvm-4.0-ocaml-dev_4.0-1ubuntu1~16.04.2_i386.deb Modular compiler and toolchain technologies, OCaml bindings
libllvm-5.0-ocaml-dev_5.0-3~16.04.1_i386.deb Modular compiler and toolchain technologies, OCaml bindings
libllvm-ocaml-dev_3.8-33ubuntu3.1_i386.deb Low-Level Virtual Machine (LLVM), bindings for OCaml
Advertisement
Advertisement